Package com.databricks.jdbc.core

## Interface IDatabricksResultSet

All Known Implementing Classes:
  `DatabricksResultSet`

    public interface IDatabricksResultSet

### Method Summary

All Methods Instance Methods Abstract Methods
`com.databricks.sdk.service.sql.StatementStatus` `getStatementStatus()`
`long` `getUpdateCount()`
`org.apache.http.entity.InputStreamEntity` `getVolumeOperationInputStream()`
`boolean` `hasUpdateCount()`
`void` `setVolumeOperationEntityStream​(org.apache.http.HttpEntity httpEntity)`
`String` `statementId()`

### Method Detail

#### statementId

    String statementId()

#### getStatementStatus

    com.databricks.sdk.service.sql.StatementStatus getStatementStatus()

#### getUpdateCount

    long getUpdateCount()
                 throws SQLException

Throws:
  `SQLException`

#### hasUpdateCount

    boolean hasUpdateCount()
                    throws SQLException

Throws:
  `SQLException`

#### setVolumeOperationEntityStream

    void setVolumeOperationEntityStream​(org.apache.http.HttpEntity httpEntity)
                                 throws SQLException,
                                        IOException

Throws:
  `SQLException`
  `IOException`

#### getVolumeOperationInputStream

    org.apache.http.entity.InputStreamEntity getVolumeOperationInputStream()
                                                                    throws SQLException

Throws:
  `SQLException`